Skip to main content
POST
/
v1
/
endpoints
/
{endpointId}
/
rotate
Rotate an endpoint's ingest token (revokes the old URL, returns the new one)
curl --request POST \
  --url https://api.webhook.co/v1/endpoints/{endpointId}/rotate \
  --header 'Authorization: Bearer <token>'
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.webhook.co/v1/endpoints/{endpointId}/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.webhook.co/v1/endpoints/{endpointId}/rotate"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.webhook.co/v1/endpoints/{endpointId}/rotate"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "paused": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "dedupConfig": {
    "windowSeconds": 302430,
    "fields": {
      "include": [
        "<string>"
      ],
      "exclude": [
        "<string>"
      ]
    }
  },
  "ingestUrl": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
"<string>"

Authorizations

Authorization
string
header
required

A whk_-prefixed API key (opaque; not a JWT).

Path Parameters

endpointId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Success.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
orgId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
paused
boolean
required
createdAt
string<date-time>
required
dedupConfig
object | null
required
ingestUrl
string<uri>
required